LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
XFilterFormulaParser Interface Reference

Extends the interface XFormulaParser by an attribute that specifies the namespace URL of the supported formula language. More...

`import"XFilterFormulaParser.idl";`

Inheritance diagram for XFilterFormulaParser:

## Public Attributes
string | SupportedNamespace
| Specifies the namespace URL of the formula language supported by this implementation. More...

## Additional Inherited Members
Public Member Functions inherited from XFormulaParser
sequence< FormulaToken > | parseFormula ([in] string aFormula, [in] ::com::sun::star::table::CellAddress aReferencePos)
| parses a formula into a sequence of tokens. More...
string | printFormula ([in] sequence< FormulaToken > aTokens, [in] ::com::sun::star::table::CellAddress aReferencePos)
| converts a formula into a string. More...

## Detailed Description

Extends the interface XFormulaParser by an attribute that specifies the namespace URL of the supported formula language.

## Member Data Documentation

## ◆ SupportedNamespace

string SupportedNamespace
| attribute readonly

Specifies the namespace URL of the formula language supported by this implementation.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XFilterFormulaParser.idl